## ros-iron-rmf-fleet-adapter-python 2.2.2

=== CMakeLists.txt ===
cmake_minimum_required(VERSION 3.5)
project(rmf_fleet_adapter_python)

set(CMAKE_EXPORT_COMPILE_COMMANDS on)

find_package(ament_cmake REQUIRED)

# Default to C++17
if(NOT CMAKE_CXX_STANDARD)
  set(CMAKE_CXX_STANDARD 17)
endif()

if(CMAKE_COMPILER_IS_GNUCXX OR CMAKE_CXX_COMPILER_ID MATCHES "Clang")
  add_compile_options(-Wall -Wextra -Wpedantic)
endif()

if(NOT CMAKE_BUILD_TYPE)
  # Use the Release build type by default if the user has not specified one
  set(CMAKE_BUILD_TYPE Release)
endif()

find_package(Python3 COMPONENTS Interpreter Development)
find_package(rmf_fleet_adapter REQUIRED)
find_package(rmf_task REQUIRED)
find_package(rmf_battery REQUIRED)
find_package(rmf_task_msgs REQUIRED)

include_directories(
  include
  ${rmf_fleet_adapter_INCLUDE_DIRS}
)

find_package(pybind11_vendor REQUIRED)
find_package(pybind11 REQUIRED)
find_package(nlohmann_json REQUIRED)
find_package(pybind11_json_vendor REQUIRED)
find_package(pybind11_json REQUIRED)

pybind11_add_module(rmf_adapter SHARED
  src/adapter.cpp
  src/tests.cpp
  src/types/types.cpp
  src/graph/graph.cpp
  src/graph/lane.cpp
  src/geometry/shapes.cpp
  src/planner/planner.cpp
  src/nodes/nodes.cpp
  src/vehicletraits/vehicletraits.cpp
  src/battery/battery.cpp
  src/schedule/schedule.cpp
)

target_link_libraries(rmf_adapter PRIVATE
  rmf_fleet_adapter::rmf_fleet_adapter
  nlohmann_json::nlohmann_json
  pybind11_json)

target_include_directories(rmf_adapter
  PUBLIC
    $<BUILD_INTERFACE:${CMAKE_CURRENT_SOURCE_DIR}/include>
    $<INSTALL_INTERFACE:${CMAKE_INSTALL_INCLUDEDIR}>
    ${rmf_traffic_INCLUDE_DIRS}
    ${rmf_traffic_ros2_INCLUDE_DIRS}
    ${rmf_battery_INCLUDE_DIRS}
    ${rmf_task_INCLUDE_DIRS}
    ${rmf_fleet_msgs_INCLUDE_DIRS}
    ${rclcpp_INCLUDE_DIRS}
  PRIVATE
    ${rmf_task_msgs_INCLUDE_DIRS}
    ${rmf_door_msgs_INCLUDE_DIRS}
    ${rmf_lift_msgs_INCLUDE_DIRS}
)

# Locate ament_package template files.
set(PYTHON_INSTALL_DIR "lib/python${PYTHON_MAJOR_MINOR}/site-packages")

# Install library for actual use
install(TARGETS rmf_adapter
  DESTINATION "${PYTHON_INSTALL_DIR}"
)

# Install Python modules
ament_python_install_package(${PROJECT_NAME})

install(PROGRAMS
  scripts/test_adapter.py
  scripts/test_utils.py
  scripts/test_loop.py
  scripts/test_delivery.py
  scripts/rmf_msg_observer.py
  scripts/traffic_light.py
  scripts/schedule_blockade_nodes.py
  DESTINATION lib/${PROJECT_NAME}
)

# Unit Tests

if(BUILD_TESTING)
  find_package(ament_cmake_pytest REQUIRED)
  set(_rmf_fleet_adapter_python_tests
    tests/unit/test_geometry.py
    tests/unit/test_graph.py
    tests/unit/test_RobotCommandHandle.py
    tests/unit/test_types.py
    tests/unit/test_vehicletraits.py
  )

  foreach(_test_path ${_rmf_fleet_adapter_python_tests})
    get_filename_component(_test_name ${_test_path} NAME_WE)
    ament_add_pytest_test(${_test_name} ${_test_path}
      TIMEOUT 120
      WERROR ON
    )
  endforeach()
endif()

ament_package()

=== debian/changelog ===
ros-iron-rmf-fleet-adapter-python (2.2.2-1jammy) jammy; urgency=high



 -- methylDragon <methylDragon@gmail.com>  Sun, 10 Sep 2023 16:00:00 -0000

ros-iron-rmf-fleet-adapter-python (2.2.1-1jammy) jammy; urgency=high

  * Adding initiator and request time to booking (#285 <https://github.com/open-rmf/rmf_ros2/pull/285>)
  * Contributors: Aaron Chong, Yadunund

 -- methylDragon <methylDragon@gmail.com>  Wed, 09 Aug 2023 16:00:00 -0000

ros-iron-rmf-fleet-adapter-python (2.2.0-1jammy) jammy; urgency=high

  * Switch to rst changelogs (#276 <https://github.com/open-rmf/rmf_ros2/pull/276>)
  * Contributors: Yadunund

 -- methylDragon <methylDragon@gmail.com>  Mon, 05 Jun 2023 16:00:00 -0000

ros-iron-rmf-fleet-adapter-python (2.1.5-1jammy) jammy; urgency=high



 -- methylDragon <methylDragon@gmail.com>  Fri, 19 May 2023 16:00:00 -0000

ros-iron-rmf-fleet-adapter-python (2.1.4-1jammy) jammy; urgency=high



 -- methylDragon <methylDragon@gmail.com>  Wed, 26 Apr 2023 16:00:00 -0000

ros-iron-rmf-fleet-adapter-python (2.1.3-1jammy) jammy; urgency=high



 -- methylDragon <methylDragon@gmail.com>  Tue, 25 Apr 2023 16:00:00 -0000

ros-iron-rmf-fleet-adapter-python (2.1.2-1jammy) jammy; urgency=high



 -- methylDragon <methylDragon@gmail.com>  Sun, 09 Oct 2022 16:00:00 -0000

ros-iron-rmf-fleet-adapter-python (2.1.0-1jammy) jammy; urgency=high

  * Make async behaviors more robust: (#228 <https://github.com/open-rmf/rmf_ros2/pull/228>)
  * Allow fleet adapters to change schedule participant profiles: (#229 <https://github.com/open-rmf/rmf_ros2/pull/229>)
  * Allow robots to be decommissioned from the task dispatch system: (#233 <https://github.com/open-rmf/rmf_ros2/pull/233>)
  * Allow manual toggling of stubborn negotiation: (#196 <https://github.com/open-rmf/rmf_ros2/pull/196>)
  * Allow users to specify a custom update listener: (#198 <https://github.com/open-rmf/rmf_ros2/pull/198>)
  * Fix various segfaults related to pybind: (#205 <https://github.com/open-rmf/rmf_ros2/pull/205>)
  * Allow ResponsiveWait to be enabled and disabled: (#209 <https://github.com/open-rmf/rmf_ros2/pull/209>)
  * Allow robot status to be overridden by the user: (#191 <https://github.com/open-rmf/rmf_ros2/pull/191>)
  * Add API to report status for perform_action: (#190 <https://github.com/open-rmf/rmf_ros2/pull/190>)
  * Changes for humble compatibility: (#215 <https://github.com/open-rmf/rmf_ros2/pull/215>)

 -- methylDragon <methylDragon@gmail.com>  Sun, 02 Oct 2022 16:00:00 -0000

ros-iron-rmf-fleet-adapter-python (2.0.0-1jammy) jammy; urgency=high

  No changes yet

 -- methylDragon <methylDragon@gmail.com>  Thu, 17 Mar 2022 16:00:00 -0000

ros-iron-rmf-fleet-adapter-python (1.5.0-1jammy) jammy; urgency=high

  * Support flexible task definitions (#168 <https://github.com/open-rmf/rmf_ros2/pull/168>)
  * Add lane speed limit to graph parsing function (#124 <https://github.com/open-rmf/rmf_ros2/pull/124>)

 -- methylDragon <methylDragon@gmail.com>  Sun, 13 Feb 2022 16:00:00 -0000

ros-iron-rmf-fleet-adapter-python (1.3.0-1jammy) jammy; urgency=high

  * Modifications to support refactor of rmf_task (#51 <https://github.com/open-rmf/rmf_ros2/pull/51>)
  * Fix symlink-install compilation (#32 <https://github.com/open-rmf/rmf_ros2/pull/32>)
  * Updated package.xml (#26 <https://github.com/open-rmf/rmf_ros2/pull/26>)
  * Fix/rmf task ros2 cleanup (#21 <https://github.com/open-rmf/rmf_ros2/pull/21>)
  * Feature/python binding planner (#11 <https://github.com/open-rmf/rmf_ros2/pull/11>)
  * Adding reference_internal tag to function bindings that return raw pointers (#6 <https://github.com/open-rmf/rmf_ros2/pull/6>)
  * Feature/add unstable participant api (#11 <https://github.com/open-rmf/rmf_ros2/pull/11>)
  * Feature/add simple docs (#9 <https://github.com/open-rmf/rmf_ros2/pull/9>)
  * Support apis for task dispatcher (#10 <https://github.com/open-rmf/rmf_ros2/pull/10>)
  * differentiate functions to prevent overloading (#8 <https://github.com/open-rmf/rmf_ros2/pull/8>)
  * support ez traffic light (#7 <https://github.com/open-rmf/rmf_ros2/pull/7>)
  * Update/release 1.1 (#6 <https://github.com/open-rmf/rmf_ros2/pull/6>)
  * Implement binding for Duration optional
  * Make integration test even stricter
  * Add reference capture for posterity
  * Add clarifying printouts and fix multi-timer bug
  * Integrate compute_plan_starts into integration test
  * Implement type tests
  * Bind optional constructors and delivery msg interfaces
  * Bind compute_plan_starts
  * Add update_position overload
  * Implement Python Bindings for rmf_fleet_adapter (#1 <https://github.com/open-rmf/rmf_ros2/pull/1>)
  * Contributors: Aaron Chong, Charayaphan Nakorn Boon Han, Geoffrey Biggs, Grey, Marco A. Gutiérrez, Yadu, methylDragon, youliang

 -- methylDragon <methylDragon@gmail.com>  Sun, 06 Jun 2021 16:00:00 -0000

=== debian/control ===
Source: ros-iron-rmf-fleet-adapter-python
Section: misc
Priority: optional
Maintainer: methylDragon <methylDragon@gmail.com>
Build-Depends: debhelper (>= 9.0.0), ros-iron-ament-cmake-pytest <!nocheck>, ros-iron-pybind11-json-vendor, ros-iron-pybind11-vendor, ros-iron-rclpy, ros-iron-rmf-fleet-adapter, ros-iron-ros-workspace
Homepage: 
Standards-Version: 3.9.2

Package: ros-iron-rmf-fleet-adapter-python
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, ros-iron-pybind11-json-vendor, ros-iron-pybind11-vendor, ros-iron-rclpy, ros-iron-rmf-fleet-adapter, ros-iron-ros-workspace
Description: Python bindings for the rmf_fleet_adapter

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-
# Sample debian/rules that uses debhelper.
# This file was originally written by Joey Hess and Craig Small.
# As a special exception, when this file is copied by dh-make into a
# dh-make output file, you may use that output file without restriction.
# This special exception was added by Craig Small in version 0.37 of dh-make.

# Uncomment this to turn on verbose mode.
export DH_VERBOSE=1
# TODO: remove the LDFLAGS override.  It's here to avoid esoteric problems
# of this sort:
#  https://code.ros.org/trac/ros/ticket/2977
#  https://code.ros.org/trac/ros/ticket/3842
export LDFLAGS=
export PKG_CONFIG_PATH=/opt/ros/iron/lib/pkgconfig
# Explicitly enable -DNDEBUG, see:
# 	https://github.com/ros-infrastructure/bloom/issues/327
export DEB_CXXFLAGS_MAINT_APPEND=-DNDEBUG
ifneq ($(filter nocheck,$(DEB_BUILD_OPTIONS)),)
	BUILD_TESTING_ARG=-DBUILD_TESTING=OFF
endif

DEB_HOST_GNU_TYPE ?= $(shell dpkg-architecture -qDEB_HOST_GNU_TYPE)

%:
	dh $@ -v --buildsystem=cmake --builddirectory=.obj-$(DEB_HOST_GNU_TYPE)

override_dh_auto_configure:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree and source it.  It will set things like
	# CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/iron/setup.sh" ]; then . "/opt/ros/iron/setup.sh"; fi && \
	dh_auto_configure -- \
		-DCMAKE_INSTALL_PREFIX="/opt/ros/iron" \
		-DAMENT_PREFIX_PATH="/opt/ros/iron" \
		-DCMAKE_PREFIX_PATH="/opt/ros/iron" \
		$(BUILD_TESTING_ARG)

override_dh_auto_build:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree and source it.  It will set things like
	# CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/iron/setup.sh" ]; then . "/opt/ros/iron/setup.sh"; fi && \
	dh_auto_build

override_dh_auto_test:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree and source it.  It will set things like
	# CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	echo -- Running tests. Even if one of them fails the build is not canceled.
	if [ -f "/opt/ros/iron/setup.sh" ]; then . "/opt/ros/iron/setup.sh"; fi && \
	dh_auto_test || true

override_dh_shlibdeps:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree and source it.  It will set things like
	# CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/iron/setup.sh" ]; then . "/opt/ros/iron/setup.sh"; fi && \
	dh_shlibdeps -l$(CURDIR)/debian/ros-iron-rmf-fleet-adapter-python//opt/ros/iron/lib/

override_dh_auto_install:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree and source it.  It will set things like
	# CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/iron/setup.sh" ]; then . "/opt/ros/iron/setup.sh"; fi && \
	dh_auto_install
